Bug 833536 - ovirt-engine-backend [Import More than Once]: start import more than once and remove vm from the export domain will leave imported vm in image locked
ovirt-engine-backend [Import More than Once]: start import more than once and...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Gilad Chaplik
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 13:18 EDT by Dafna Ron
Modified: 2016-02-10 12:17 EST (History)
9 users (show)

See Also:
Fixed In Version: SI8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (58.23 KB, application/x-gzip)
2012-06-19 13:18 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-19 13:18:23 EDT
Created attachment 593020 [details]
logs

Description of problem:

import a vm more than once and remove the vm from the export domain will fail the import in vdsm with 'Internal block device write failure'
Task will be removed from db but the vm will remain in image lock

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. import a vm 
2. import the vm again and after copy starts remove vm from export domain 
3.
  
Actual results:

vdsm will fail with 'Internal block device write failure' and task will be removed from db but vm will remain in image locked

Expected results:

we should rollback on command and remove vm from setup


Additional info:logs

task is bfe240fc-ba18-46e4-a28d-f93833553eb9


2012-06-19 19:58:46,699 ERROR [org.ovirt.engine.core.bll.SPMAsyncTask] (QuartzScheduler_Worker-29) [486b5d70] BaseAsyncTask::LogEndTaskFailure: Task 570319a3-c88b-48ce-b1a8-52d9389100b7 (Parent Command ImportVm, Parameters Type org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters) ended with failure:
-- Result: cleanSuccess
-- Message: VDSGenericException: VDSErrorException: Failed to HSMGetAllTasksStatusesVDS, error = Error while processing volume meta data,
-- Exception: VDSGenericException: VDSErrorException: Failed to HSMGetAllTasksStatusesVDS, error = Error while processing volume meta data
Comment 2 Dafna Ron 2012-07-02 09:00:27 EDT
verified on si8

Note You need to log in before you can comment on or make changes to this bug.